<?php 
ob_start();
session_start();
require_once("../conn/conn.php");

//echo $_SESSION['sess_name_user'];
@include('../utility/chksession.php');
?>

<!DOCTYPE html>
<html lang="en">
	<head>
		<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
		<meta charset="utf-8" />
		<title>Norntern Production - Admin</title>

		<meta name="description" content="" />
		<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />

		<!-- bootstrap & fontawesome -->
		<link rel="stylesheet" href="../assets/css/bootstrap.min.css" />
		<link rel="stylesheet" href="../assets/font-awesome/4.5.0/css/font-awesome.min.css" />

		<!-- page specific plugin styles -->

		<!-- text fonts -->
		<link rel="stylesheet" href="../assets/css/fonts.googleapis.com.css" />

		<!-- ace styles -->
		<link rel="stylesheet" href="../assets/css/ace.min.css" class="ace-main-stylesheet" id="main-ace-style" />

		<!--[if lte IE 9]>
			<link rel="stylesheet" href="assets/css/ace-part2.min.css" class="ace-main-stylesheet" />
		<![endif]-->
		<link rel="stylesheet" href="../assets/css/ace-skins.min.css" />
		<link rel="stylesheet" href="../assets/css/ace-rtl.min.css" />

		<!--[if lte IE 9]>
		  <link rel="stylesheet" href="assets/css/ace-ie.min.css" />
		<![endif]-->

		<!-- inline styles related to this page -->

		<!-- ace settings handler -->
		<script src="assets/js/ace-extra.min.js"></script>

		<!-- HTML5shiv and Respond.js for IE8 to support HTML5 elements and media queries -->

		<!--[if lte IE 8]>
		<script src="assets/js/html5shiv.min.js"></script>
		<script src="assets/js/respond.min.js"></script>
		<![endif]-->
	</head>

	<body class="no-skin">
		<div id="navbar" class="navbar navbar-default          ace-save-state">
			<div class="navbar-container ace-save-state" id="navbar-container">
				<button type="button" class="navbar-toggle menu-toggler pull-left" id="menu-toggler" data-target="#sidebar">
					<span class="sr-only">Toggle sidebar</span>

					<span class="icon-bar"></span>

					<span class="icon-bar"></span>

					<span class="icon-bar"></span>
				</button>

				<div class="navbar-header pull-left">
					<a class="navbar-brand">
						<small>
							<i class="fa fa-bar-chart-o"></i>
							Production NT Admin
						</small>
					</a>
				</div>

				
			</div><!-- /.navbar-container -->
		</div>

		<div class="main-container ace-save-state" id="main-container">
			<script type="text/javascript">
				try{ace.settings.loadState('main-container')}catch(e){}
			</script>

			<div id="sidebar" class="sidebar                  responsive                    ace-save-state">
				<script type="text/javascript">
					try{ace.settings.loadState('sidebar')}catch(e){}
				</script>

			<?php include("../utility/menu_admin.php"); ?>

			</div>

			<div class="main-content">
				<div class="main-content-inner">
					<div class="breadcrumbs ace-save-state" id="breadcrumbs">
						<ul class="breadcrumb">
							<li>
								<i class="ace-icon fa fa-tachometer home-icon"></i>Production Dashboard Systems
							</li>

						</ul><!-- /.breadcrumb -->
					</div>

					<div class="page-content">
						

						<div class="page-header">
							<h1>Dashboard</h1>
						</div><!-- /.page-header -->

						<div class="row">
						  <div class="col-xs-12">
							    <p>
								    <!-- PAGE CONTENT BEGINS -->
								    
							      <?php //echo $_SESSION['sess_name_user'];?>
								    
								    
								    <?php
								
								$strSQL = "SELECT count(po_status) FROM pd_po where po_status='รอดำเนินการ'";
								$objQuery = mysqli_query($con,$strSQL);   
								$objResult = mysqli_fetch_array($objQuery);
								
								$strSQL1 = "SELECT count(part_status) FROM pd_posub where part_status LIKE'%รอดำเนินการ%'";
								$objQuery1 = mysqli_query($con,$strSQL1);   
								$objResult1 = mysqli_fetch_array($objQuery1);
								
								$strSQL2 = "SELECT count(part_status) FROM pd_posub where part_status='รอดำเนินการงานเครื่องกล'";
								$objQuery2 = mysqli_query($con,$strSQL2);   
								$objResult2 = mysqli_fetch_array($objQuery2);
								
								$strSQL3 = "SELECT count(part_status) FROM pd_posub where part_status='รอดำเนินการงานเชื่อม'";
								$objQuery3 = mysqli_query($con,$strSQL3);   
								$objResult3 = mysqli_fetch_array($objQuery3);
								
								$strSQL4 = "SELECT count(part_status) FROM pd_posub where part_status='รอดำเนินการQC'";
								$objQuery4 = mysqli_query($con,$strSQL4);   
								$objResult4 = mysqli_fetch_array($objQuery4);
								
								$strSQL5 = "SELECT count(part_status) FROM pd_posub where part_status ='รอดำเนินการWhes'";
								$objQuery5 = mysqli_query($con,$strSQL5);   
								$objResult5 = mysqli_fetch_array($objQuery5);
								
								$strSQL6 = "SELECT count(part_status) FROM pd_posub where part_status ='รอดำเนินการ-SUP'";
								$objQuery6 = mysqli_query($con,$strSQL6);   
								$objResult6 = mysqli_fetch_array($objQuery6);
								
								
								?>
                                

                                <?php //------------------------------ ?>
                                
                             

	
	</div>
  
   <a href="data_po.php">
    <div class="infobox infobox-orange">
    <div class="infobox-icon">
	<i class="ace-icon fa fa-bar-chart-o"></i>
	</div>
	<div class="infobox-data">
		<span class="infobox-data-number"><?php echo $objResult['count(po_status)']; ?></span>
		<div class="infobox-content">PO รอดำเนินการ</div>
		</div>
	</div>
	</a>
  
  
       </br>
    
    <a href="data_dashbord.php?table=รอดำเนินการ">
    <div class="infobox infobox-pink">
    <div class="infobox-icon">
	<i class="ace-icon fa fa-bar-chart-o"></i>
	</div>
	<div class="infobox-data">
		<span class="infobox-data-number"><?php echo $objResult1['count(part_status)']; ?></span>
		<div class="infobox-content">แผนรอดำเนินการ</div>
		</div>
	</div>
	</a>

    <a href="data_dashbord.php?table=รอดำเนินการงานเครื่องกล">
    <div class="infobox infobox-blue">
	<div class="infobox-icon">
	<i class="ace-icon fa fa-bar-chart-o"></i>
	</div>
	<div class="infobox-data">
		<span class="infobox-data-number"><?php echo $objResult2['count(part_status)']; ?></span>
		<div class="infobox-content">รอดำเนินการงานเครื่องกล</div>
		</div>
	</div>
	</a>
	
	
    <a href="data_dashbord.php?table=รอดำเนินการงานเชื่อม">
    <div class="infobox infobox-green">
	<div class="infobox-icon">
	<i class="ace-icon fa fa-bar-chart-o"></i>
	</div>
	<div class="infobox-data">
		<span class="infobox-data-number"><?php echo $objResult3['count(part_status)']; ?></span>
		<div class="infobox-content">รอดำเนินการงานเชื่อม</div>
		</div>
	</div>
    </a>
    
    </br>
    
    <a href="data_dashbord.php?table=รอดำเนินการQC">
     <div class="infobox infobox-brown">
	<div class="infobox-icon">
	<i class="ace-icon fa fa-bar-chart-o"></i>
	</div>
	<div class="infobox-data">
		<span class="infobox-data-number"><?php echo $objResult4['count(part_status)']; ?></span>
		<div class="infobox-content">รอดำเนินการ QC</div>
		</div>
	</div>
	</a>
    
    <a href="data_dashbord.php?table=รอดำเนินการ-SUP">
    <div class="infobox infobox-brown">
	<div class="infobox-icon">
	<i class="ace-icon fa fa-bar-chart-o"></i>
	</div>
	<div class="infobox-data">
		<span class="infobox-data-number"><?php echo $objResult6['count(part_status)']; ?></span>
		<div class="infobox-content">รอดำเนินการ SUP</div>
		</div>
	</div>
	</a>
    
     <a href="data_dashbord.php?table=รอดำเนินการWhes">
     <div class="infobox infobox-purple">
	<div class="infobox-icon">
	<i class="ace-icon fa fa-bar-chart-o"></i>
	</div>
	<div class="infobox-data">
		<span class="infobox-data-number"><?php echo $objResult5['count(part_status)']; ?></span>
		<div class="infobox-content">รอดำเนินการ Whes</div>
		</div>
	</div>
	</a>
    <p>&nbsp; </p>
    <p>&nbsp; </p>
	
   <?php

$table = $_REQUEST['table'];

$strSQL = "SELECT * FROM pd_po,pd_posub,pd_dep 
where pd_po.id_po=pd_posub.id_po 
and pd_posub.id_dep=pd_dep.id_dep
and part_status LIKE '%$table%'
Order by delivery_date ASC";
$objQuery = mysqli_query($con,$strSQL);  
$i=1;


	
?>
 
    <div class="page-header">
		<h1>รายการ <?php echo $table; ?>  </h1>
	</div><!-- /.page-header -->							  

			<table id="dynamic-table" class="table table-striped table-bordered table-hover">
				<thead>
					<tr>
					  <th class="center" width='2%'>ลำดับ</th>
					  <th width="10%">ระบุวันที่ผลิต</th>
					  <th width="9%" class="center">PO</th>
						<th width="20%" class="center">Item</th>
						<th width="8%" class="hidden-480">จำนวน</th>
						<th class="hidden-480" width='20%'>วันที่จัดส่ง</th>
						<th class="hidden-480" width='13%'>ผู้รับผิดชอบเริ่มต้น</th>
						<th width='20%'>สถานะ</th>
					</tr>
				</thead>
			   
			  <tbody>
				<?php

while($objResult = mysqli_fetch_array($objQuery)){

$date = date("Y-m-d");
$datenub7=date('Y-m-d', strtotime($objResult['delivery_date']."-7 DAY"));
	
	if($date>=$datenub7){
?>
	<tr>
					  <td bgcolor="#FECDDC"><?=$i++; ?></td>
					  <td bgcolor="#FECDDC"><?php	if($objResult['date_plan']=='0000-00-00'){
						   ?><font color="#FF0000"><b><?php echo $objResult['date_plan'];?></b></font><?
					  }else
					  {
						  echo $objResult['date_plan']; 
					  }?></td>
					  <td bgcolor="#FECDDC" ><?=$objResult['no_po']; ?></td>
						<td bgcolor="#FECDDC" ><?=$objResult['id_item']." - ".$objResult['name_item']; ?></td>
						<td bgcolor="#FECDDC" ><?=$objResult['part_qty']." ".$objResult['part_unit']; ?></td>
						<td bgcolor="#FECDDC" >
                        <?php	if($objResult['delivery_date']=='0000-00-00'){
						   ?><font color="#FF0000"><b><?php echo $objResult['delivery_date'];?></b></font><?
					  }else
					  {
						  echo $objResult['delivery_date']; 
					  }?>
                        </td>
						<td bgcolor="#FECDDC"><?=$objResult['name_dep']; ?></td>
						<td bgcolor="#FECDDC"><?php //$objResult['part_status']; ?>
                        
                        <?php 
						
						if($objResult['part_status']=='ดำเนินการเรียบร้อย'){
							
							?><font color="#008000"><B><?php echo $objResult['part_status'];?></B></font><?
							
						}else{
							echo $objResult['part_status'];
							
						}
						
						?>
                        
</td>
                </tr>
	
				  <?php
	}else{
	    ?>
	    	<tr>
					  <td><?=$i++; ?></td>
					  <td><?php	if($objResult['date_plan']=='0000-00-00'){
						   ?>
					    <font color="#FF0000"><b><?php echo $objResult['date_plan'];?></b></font>
				      <?
					  }else
					  {
						  echo $objResult['date_plan']; 
					  }?></td>
					  <td ><?=$objResult['no_po']; ?></td>
						<td ><?=$objResult['id_item']." - ".$objResult['name_item']; ?></td>
						<td ><?=$objResult['part_qty']." ".$objResult['part_unit']; ?></td>
						<td ><?=$objResult['delivery_date']; ?></td>
						<td><?=$objResult['name_dep']; ?></td>
						<td><?php //$objResult['part_status']; ?>
                        
                        <?php 
						
						if($objResult['part_status']=='ดำเนินการเรียบร้อย'){
							
							?><font color="#008000"><B><?php echo $objResult['part_status'];?></B></font><?
							
						}else{
							echo $objResult['part_status'];
							
						}
						
						?>
                        
</td>
                </tr>
	    
	    <?php
	}
				}
				?>
			  </tbody>
			   
			</table>



							  <!-- PAGE CONTENT ENDS -->
						  </div><!-- /.col -->
						</div><!-- /.row -->
					</div><!-- /.page-content -->
				</div>
			</div><!-- /.main-content -->

			<?php include("../utility/footer.php"); ?>

			<a href="#" id="btn-scroll-up" class="btn-scroll-up btn btn-sm btn-inverse">
				<i class="ace-icon fa fa-angle-double-up icon-only bigger-110"></i>
			</a>
		</div><!-- /.main-container -->

		<!-- basic scripts -->

		<!--[if !IE]> -->
		<script src="../assets/js/jquery-2.1.4.min.js"></script>

		<!-- <![endif]-->

		<!--[if IE]>
<script src="assets/js/jquery-1.11.3.min.js"></script>
<![endif]-->
		<script type="text/javascript">
			if('ontouchstart' in document.documentElement) document.write("<script src='assets/js/jquery.mobile.custom.min.js'>"+"<"+"/script>");
		</script>
		<script src="../assets/js/bootstrap.min.js"></script>

		<!-- page specific plugin scripts -->

		<!-- ace scripts -->
		<script src="../assets/js/ace-elements.min.js"></script>
		<script src="../assets/js/ace.min.js"></script>

		<!-- inline scripts related to this page -->
		<script type="text/javascript">
			jQuery(function($) {
				$('#id-change-style').on(ace.click_event, function() {
					var toggler = $('#menu-toggler');
					var fixed = toggler.hasClass('fixed');
					var display = toggler.hasClass('display');
					
					if(toggler.closest('.navbar').length == 1) {
						$('#menu-toggler').remove();
						toggler = $('#sidebar').before('<a id="menu-toggler" data-target="#sidebar" class="menu-toggler" href="#">\
							<span class="sr-only">Toggle sidebar</span>\
							<span class="toggler-text"></span>\
						 </a>').prev();
			
						 var ace_sidebar = $('#sidebar').ace_sidebar('ref');
						 ace_sidebar.set('mobile_style', 2);
			
						 var icon = $(this).children().detach();
						 $(this).text('Hide older Ace toggle button').prepend(icon);
						 
						 $('#id-push-content').closest('div').hide();
						 $('#id-push-content').removeAttr('checked');
						 $('.sidebar').removeClass('push_away');
					 } else {
						$('#menu-toggler').remove();
						toggler = $('.navbar-brand').before('<button data-target="#sidebar" id="menu-toggler" class="three-bars pull-left menu-toggler navbar-toggle" type="button">\
							<span class="sr-only">Toggle sidebar</span><span class="icon-bar"></span><span class="icon-bar"></span><span class="icon-bar"></span>\
						</button>').prev();
						
						 var ace_sidebar = $('#sidebar').ace_sidebar('ref');
						 ace_sidebar.set('mobile_style', 1);
						
						var icon = $(this).children().detach();
						$(this).text('Show older Ace toggle button').prepend(icon);
						
						$('#id-push-content').closest('div').show();
					 }
			
					 if(fixed) toggler.addClass('fixed');
					 if(display) toggler.addClass('display');
					 
					 $('.sidebar[data-sidebar-hover=true]').ace_sidebar_hover('reset');
					 $('.sidebar[data-sidebar-scroll=true]').ace_sidebar_scroll('reset');
			
					 return false;
				});
				
				$('#id-push-content').removeAttr('checked').on('click', function() {
					$('.sidebar').toggleClass('push_away');
				});
			});
		</script>
	</body>
</html>
